transformers-0.4.2.0: Concrete functor and monad transformers

Copyright | (c) Ross Paterson 2010
License | BSD-style (see the file LICENSE)
Maintainer | ross@soi.city.ac.uk
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Functor.Constant

Description

The constant functor.

Synopsis

- newtype Constant a b = Constant {
  - getConstant :: a
  }

# Documentation

newtype Constant a b

Constant functor.

Constructors

Constant |

Fields

getConstant :: a

Instances

Functor (Constant a) |
Monoid a => Applicative (Constant a) |
Foldable (Constant a) |
Traversable (Constant a) |
Show a => Show1 (Constant a) |
Read a => Read1 (Constant a) |
Ord a => Ord1 (Constant a) |
Eq a => Eq1 (Constant a) |
Eq a => Eq (Constant a b) |
Ord a => Ord (Constant a b) |
Read a => Read (Constant a b) |
Show a => Show (Constant a b) |